summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/crumbs')
-rw-r--r--dev-python/crumbs/Manifest3
-rw-r--r--dev-python/crumbs/crumbs-1.2.2-r1.ebuild33
-rw-r--r--dev-python/crumbs/crumbs-2.0.0.ebuild33
-rw-r--r--dev-python/crumbs/crumbs-2.0.1.ebuild32
-rw-r--r--dev-python/crumbs/metadata.xml15
5 files changed, 116 insertions, 0 deletions
diff --git a/dev-python/crumbs/Manifest b/dev-python/crumbs/Manifest
new file mode 100644
index 00000000000..4b79e7206f8
--- /dev/null
+++ b/dev-python/crumbs/Manifest
@@ -0,0 +1,3 @@
+DIST crumbs-1.2.2.tar.gz 7721 SHA256 eb3ea05bab4ba34501e2d18da151d7036bfd68e948383d3f7303891463ff590f SHA512 be20aa24ef25d3fac1cba7e653b06e0ab394286032f7f01320c53ba88cff363a72d6302a44da7019acd3f2f04ea98d7a2f4d01b5f9f9cc0327391346a4a4ebf6 WHIRLPOOL 73f834900b19c2fd4dacb705ca6af5bc89fab6f8712115e3e894775c7bf6e5d87071faa2a5152350e1d7244751e2d6a9e07732c88e3ca40aae56ece560d77f72
+DIST crumbs-2.0.0.tar.gz 13134 SHA256 776634a652205791f30419dbd3f89f26eecb0bf041348690f4552deb7f61ebc1 SHA512 b518041ed7d3d1026b83901f3ffa2faf1da30fb39c598eb88eebabfeb3489c4ce2b2de1f0267bdb3e7d9366509efe0e109f54ec45b9297345f1224c2de5213c5 WHIRLPOOL 64b7e09898c5861ab950fae1331ef973f4c42cc57e2204f23aaf11dce8eb84b817d9ee44b58acebbb909d1266a38eed419a615e8102cc76a46b4b41bb846592f
+DIST crumbs-2.0.1.tar.gz 12377 SHA256 b537d608b9c54d8fc0bd73a4a60599fe2a68ba66ecd05f3f45a25d2301f439ca SHA512 d15a8f3484f8178a1d41555d1783fdf6356c97f05247cf3daf6c56af9e0bd2795ee187f7fde549f5e23b4883317608cc40a71dedfaf49e544c87a12a0f97738a WHIRLPOOL a74e0e61726ca7dbeb702ce92b369137b7c21da5e224a365c9fbf3e6221859c6307329447c6835ff824950d0155cf180d62616f10b6f3084cb041751e9e8d0c4
diff --git a/dev-python/crumbs/crumbs-1.2.2-r1.ebuild b/dev-python/crumbs/crumbs-1.2.2-r1.ebuild
new file mode 100644
index 00000000000..7d196a80f76
--- /dev/null
+++ b/dev-python/crumbs/crumbs-1.2.2-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Generalized all-in-one parameters module"
+HOMEPAGE="https://github.com/alunduil/crumbs"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="inotify test"
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/coverage[${PYTHON_USEDEP}]
+ dev-python/flake8[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="inotify? ( dev-python/pyinotify[${PYTHON_USEDEP}] )"
+
+python_test() {
+ flake8 || die 'flake8'
+ nosetests || die 'nosetests'
+}
diff --git a/dev-python/crumbs/crumbs-2.0.0.ebuild b/dev-python/crumbs/crumbs-2.0.0.ebuild
new file mode 100644
index 00000000000..23bc8832bdb
--- /dev/null
+++ b/dev-python/crumbs/crumbs-2.0.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Generalized all-in-one parameters module"
+HOMEPAGE="https://github.com/alunduil/crumbs"
+SRC_URI="https://github.com/alunduil/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="inotify test"
+
+CDEPEND="inotify? ( dev-python/pyinotify[${PYTHON_USEDEP}] )"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ${CDEPEND}
+ dev-python/coverage[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="${CDEPEND}"
+
+python_test() {
+ nosetests || die "Tests failed on ${EPYTHON}"
+}
diff --git a/dev-python/crumbs/crumbs-2.0.1.ebuild b/dev-python/crumbs/crumbs-2.0.1.ebuild
new file mode 100644
index 00000000000..e04f47aa7e6
--- /dev/null
+++ b/dev-python/crumbs/crumbs-2.0.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_3 python3_4 )
+
+inherit distutils-r1
+
+DESCRIPTION="Generalized all-in-one parameters module"
+HOMEPAGE="https://github.com/alunduil/crumbs"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64"
+IUSE="inotify test"
+
+CDEPEND="inotify? ( dev-python/pyinotify[${PYTHON_USEDEP}] )"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ${CDEPEND}
+ dev-python/coverage[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="${CDEPEND}"
+
+python_test() {
+ nosetests || die "Tests failed on ${EPYTHON}"
+}
diff --git a/dev-python/crumbs/metadata.xml b/dev-python/crumbs/metadata.xml
new file mode 100644
index 00000000000..3ec159379e2
--- /dev/null
+++ b/dev-python/crumbs/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>python</herd>
+ <maintainer>
+ <email>alunduil@gentoo.org</email>
+ <name>Alex Brandt</name>
+ </maintainer>
+ <longdescription lang="en">
+ </longdescription>
+ <upstream>
+ <remote-id type="pypi">crumbs</remote-id>
+ <remote-id type="github">alunduil/crumbs</remote-id>
+ </upstream>
+</pkgmetadata>